Fooocus Image Prompt
Integreren
fooocus/image-prompt
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/fooocus/image-prompt?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/fooocus/image-prompt?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
},
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/fooocus/image-prompt", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/nl/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "fooocus/image-prompt",
"input": {
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
}
Roep het Fooocus Image Prompt-model (fooocus/image-prompt) aan via de Doitong API. Documentatie voor agents: https://doitong.com/nl/developers/models/fooocus/image-prompt.md
POST https://api.doitong.com/v1/run/fooocus/image-prompt?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
Als de responsstatus "queued" of "running" is, poll dan GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 totdat deze "succeeded" is; de bestanden staan in outputs[].url. POST https://api.doitong.com/v1/quote/fooocus/image-prompt met dezelfde body retourneert de exacte prijs vóór de uitvoering.
Deze request: ≈$ 0,085 85 API-tegoed Op deze pagina uitvoeren
Je nieuwe API-sleutel. Deze wordt alleen nu getoond en staat al in de code en in het onderstaande API-sleutelveld. Houd deze geheim: zet deze nooit in code die in een browser wordt uitgevoerd.
Je eerste resultaat komt hier
Bouw hieronder een request en voer die uit met je API-sleutel. Uitvoer wordt naar onze opslag gekopieerd en voor altijd of 7 dagen gratis bewaard.
Een aanvraag samenstellen
Besturingselementen worden gegenereerd op basis van het modelschema. De code en de prijs worden bijgewerkt terwijl je ze wijzigt.
/run/fooocus/image-prompt?wait=20
prijsopgave → $ 0,085
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/fooocus/image-prompt?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/fooocus/image-prompt?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
},
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/fooocus/image-prompt", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "fooocus/image-prompt",
"input": {
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
},
"wait_seconds": 20
}
}
}
Deze request uitvoeren
Je sleutel blijft in deze browser: hij wordt alleen naar de Doitong API verzonden en alleen in localStorage opgeslagen als je Onthouden aanvinkt. API-sleutel ophalen
Over Fooocus Image Prompt
Gebruikt `image_prompt_1` (vereist) plus maximaal drie extra afbeeldingsprompts om de generatie naast de tekstuele `prompt` te sturen. Ondersteunt ook inpainting met `inpaint_mode` en outpainting-richtingen, plus `uov_method` voor variëren of opschalen. Stijlvoorinstellingen, LoRAs, `performance`-modi en 1 tot 4 uitvoerafbeeldingen per request worden ondersteund.
Parameters
Stuur de canonieke naam of de oorspronkelijke naam, niet beide. Canonieke namen
promptoptioneel
negative_promptoptioneel
stylesoptioneel
performanceoptioneel
guidance_scaleoptioneel
sharpnessoptioneel
aspect_ratiooptioneel
num_imagesoptioneel
num_outputs
lorasoptioneel
loras[].pathverplicht
loras[].scaleoptioneel
refiner_modeloptioneel
refiner_switchoptioneel
output_formatoptioneel
seedoptioneel
image_prompt_1verplicht
image_prompt_1.typeoptioneel
image_prompt_1.image_urloptioneel
image_prompt_1.stop_atoptioneel
image_prompt_1.weightoptioneel
image_prompt_2optioneel
image_prompt_2.typeoptioneel
image_prompt_2.image_urloptioneel
image_prompt_2.stop_atoptioneel
image_prompt_2.weightoptioneel
image_prompt_3optioneel
image_prompt_3.typeoptioneel
image_prompt_3.image_urloptioneel
image_prompt_3.stop_atoptioneel
image_prompt_3.weightoptioneel
image_prompt_4optioneel
image_prompt_4.typeoptioneel
image_prompt_4.image_urloptioneel
image_prompt_4.stop_atoptioneel
image_prompt_4.weightoptioneel
inpaint_image_urloptioneel
mask_image_urloptioneel
inpaint_modeoptioneel
inpaint_additional_promptoptioneel
outpaint_selectionsoptioneel
mixing_image_prompt_and_inpaintoptioneel
uov_image_urloptioneel
uov_methodoptioneel
mixing_image_prompt_and_vary_upscaleoptioneel
enable_safety_checkeroptioneel
Bestandsparameters accepteren een openbare https:// URL, een data: URI tot 10 MB of de file_url van een upload. Bestanden
Uitvoer
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "fooocus/image-prompt",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 85,
"usd": "0.085",
"charged": 85,
"refunded": 0
},
"input": {
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
},
"output": {
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"timings": {},
"has_nsfw_concepts": [
false
]
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Velden van de uitvoer
- images
- array of object {url, content_type, file_name, file_size, width, height}Bestandsinformatie voor de gegenereerde afbeelding.
- timings
- objectVerstreken tijd voor de generatie.
- has_nsfw_concepts
- array of booleanGeeft aan of NSFW-concepten in de gegenereerde afbeeldingen voorkomen.
Andere varianten van Fooocus
Meer modellen: Tekst naar afbeelding
Voor AI-agents: deze pagina als Markdown staat op https://doitong.com/nl/developers/models/fooocus/image-prompt.md. Alle modellen en handleidingen: https://doitong.com/developers/llms.txt







